> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List report sources

GET https://api.sigmacomputing.com/v2/reports/{reportId}/sources

Get the data sources of a report given the reportId. The response can be a dataset (deprecated), table, custom SQL element, or the data model document and specific elements used as a source.

### Usage notes
- Retrieve the **reportId** by calling the [/v2/reports](https://help.sigmacomputing.com/reference/list-reports) endpoint.

### Best practices
- Validate the **reportId** on the client side before making a request to avoid unnecessary server load caused by invalid requests.

Reference: https://help.sigmacomputing.com/reference/list-report-sources

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/reports/{reportId}/sources:
    get:
      operationId: listReportSources
      summary: List report sources
      description: >-
        Get the data sources of a report given the reportId. The response can be
        a dataset (deprecated), table, custom SQL element, or the data model
        document and specific elements used as a source.


        ### Usage notes

        - Retrieve the **reportId** by calling the
        [/v2/reports](https://help.sigmacomputing.com/reference/list-reports)
        endpoint.


        ### Best practices

        - Validate the **reportId** on the client side before making a request
        to avoid unnecessary server load caused by invalid requests.
      tags:
        - Reports
      parameters:
        - name: reportId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf0Type:
      type: string
      enum:
        - data-model
      title: >-
        V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf0Type
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems0:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf0Type
        dataModelId:
          type: string
        elementIds:
          type: array
          items:
            type: string
        versionTagId:
          type: string
      required:
        - type
        - dataModelId
        - elementIds
      title: V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems0
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf1Type:
      type: string
      enum:
        - dataset
      description: Dataset (deprecated)
      title: >-
        V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf1Type
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems1:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf1Type
          description: Dataset (deprecated)
        inodeId:
          type: string
      required:
        - type
        - inodeId
      title: V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems1
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf2Type:
      type: string
      enum:
        - table
      title: >-
        V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf2Type
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems2:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf2Type
        inodeId:
          type: string
      required:
        - type
        - inodeId
      title: V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems2
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf3Type:
      type: string
      enum:
        - custom-sql
      title: >-
        V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf3Type
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems3:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItemsOneOf3Type
        connectionId:
          type: string
          description: ID of the connection where the custom SQL element is run.
        definition:
          type: string
          description: Raw SQL definition for the custom SQL element.
        customSqlId:
          type: string
          description: Element ID of the custom SQL.
      required:
        - type
        - connectionId
        - definition
        - customSqlId
      title: V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems3
    V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems:
      oneOf:
        - $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems0
        - $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems1
        - $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems2
        - $ref: >-
            #/components/schemas/V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems3
      title: V2ReportsReportIdSourcesGetResponsesContentApplicationJsonSchemaItems
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{}
```

**Response**

```json
[
  {
    "dataModelId": "dm_8f3a2c1b-4e5d-4a7f-9c2e-123456789abc",
    "elementIds": [
      "elem_7d9f3a2b-1c4e-4b8f-9a2e-987654321def",
      "elem_3a1b2c4d-5e6f-7a8b-9c0d-abcdef123456"
    ],
    "type": "data-model",
    "versionTagId": "vtag_2024Q2_release"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/reports/reportId/sources"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/reports/reportId/sources';
const options = {
  method: 'GET',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/reports/reportId/sources"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("GET", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/reports/reportId/sources")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/reports/reportId/sources")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/reports/reportId/sources', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/reports/reportId/sources");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/reports/reportId/sources")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```